# jabber – Send a message to jabber user or chat room

- Synopsis

- Requirements

- Parameters

- Examples

- Status

## Synopsis

- Send a message to jabber

## Requirements

The below requirements are needed on the host that executes this module.

- python xmpp (xmpppy)

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
encoding - |  | message encoding
host - |  | host to connect, overrides user info
msg - / required |  | The message body.
password - / required |  | password for user to connect
port - | Default: 5222 | port to connect to, overrides default
to - / required |  | user ID or name of the room, when using room use a slash to indicate your nick.
user - / required |  | User as which to connect

## Examples

    # send a message to a user
    - jabber:
        user: mybot@example.net
        password: secret
        to: friend@example.net
        msg: Ansible task finished

    # send a message to a room
    - jabber:
        user: mybot@example.net
        password: secret
        to: mychaps@conference.example.net/ansiblebot
        msg: Ansible task finished

    # send a message, specifying the host and port
    - jabber:
        user: mybot@example.net
        host: talk.example.net
        port: 5223
        password: secret
        to: mychaps@example.net
        msg: Ansible task finished

## Status

- This module is guaranteed to have backward compatible interface changes going forward. [stableinterface]

- This module is maintained by the Ansible Community. [community]

### Authors

- Brian Coca (@bcoca)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.